curl --request GET \
--url https://thirdparty.qonto.com/v2/cards \
--header 'Authorization: Bearer <token>'import requests
url = "https://thirdparty.qonto.com/v2/cards"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://thirdparty.qonto.com/v2/cards', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"meta": {
"current_page": 2,
"next_page": 3,
"prev_page": 1,
"total_pages": 11,
"total_count": 210,
"per_page": 20
},
"cards": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"nickname": "💳 for 🍗",
"embossed_name": "DOLORES KOULECHOV",
"status": "pending",
"pin_set": true,
"mask_pan": "511768******7662",
"exp_month": "3",
"exp_year": "2024",
"last_activity_at": "2023-11-07T05:31:56Z",
"last_digits": "7662",
"ship_to_business": false,
"atm_option": true,
"nfc_option": true,
"online_option": true,
"foreign_option": true,
"atm_monthly_limit": 1000,
"atm_monthly_spent": 1000,
"atm_daily_limit": 1000,
"atm_daily_spent": 0,
"atm_daily_limit_option": true,
"payment_monthly_limit": 1000,
"payment_monthly_spent": 1000,
"payment_daily_limit": 1000,
"payment_daily_spent": 1000,
"payment_daily_limit_option": true,
"payment_transaction_limit": 1000,
"payment_transaction_limit_option": true,
"active_days": [
1,
3,
5
],
"holder_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"initiator_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"bank_account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"updated_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"shipped_at": null,
"card_type": "debit",
"card_level": "standard",
"payment_lifespan_limit": 100,
"payment_lifespan_spent": 42,
"pre_expires_at": "2023-11-07T05:31:56Z",
"categories": [
"transport",
"restaurant_and_bar",
"food_and_grocery"
],
"renewed": false,
"renewal": false,
"parent_card_summary": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"last_digits": "7662"
},
"had_operation": false,
"had_pin_operation": false,
"card_design": "standard.recycled.plastic.2023",
"type_of_print": "embossed",
"upsold": false,
"upsell": false,
"discard_on": "2022-11-31",
"reordered": false,
"appearance": {
"assets": {
"front_large": "https://qonto.com/card-designs/standard/standard.recycled.plastic.2023/front_large.png",
"front_small": "https://qonto.com/card-designs/standard/standard.recycled.plastic.2023/front_small.png",
"front_small_wallet": "https://qonto.com/card-designs/standard/standard.recycled.plastic.2023/front_small_wallet.png"
},
"theme": "dark",
"gradient_hex_color": "#000000"
},
"has_only_user_liftable_locks": true
}
]
}List cards
OAuth scope: card.read
Retrieves the list of cards that can be viewed by the authenticated membership.
You can filter and sort this list by using query parameters 👇
This endpoint is still in beta. Please get in touch with our team if you have any question or feedback: here.
Authorizations
Bearer authorization header: Bearer <token>, where <token> is the access token received from the authorization server at the end of the OAuth 2.0 flow.
Headers
Required only for Sandbox API requests; to get one, please sign up to the Developer Portal.
Query Parameters
Text search can be performed on the following fields:
- memberships.first_name
- memberships.last_name
- cards.id
- cards.nickname
- cards.last_digits
- cards.status
- cards.pre_expires_at
- cards.exp_year
- cards.exp_month
Returned page (cf. Pagination).
2
Cards can be sorted by a specific property and order.
Property: status, nickname, last_activity_at or created_at
Order: asc (Ascending) / desc (Descending)
Cards can be filtered by their holder_id.
The membership identifier of the card holder.
Cards can be filtered by their status.
Status of the card. Pending: the card is awaiting PIN to be set or issuing to complete. Live: the card is active and can be used. Paused: the card is paused and cannot be used until un-paused. Stolen: the card has been reported as stolen and cannot be used. Lost: the card has been reported as lost and cannot be used. Pin_blocked: the card has been blocked due to too many wrong PIN attempts. It can still be used for card-not-present transactions. Discarded: the card has been discarded and cannot be used. Expired: the card has expired and cannot be used. Shipped_lost: the card has been lost during shipping and cannot be used. Onhold: the card issuing is on hold due to missing KYC/KYB validation and cannot be used. Order_canceled: the card order has been canceled. Pre_expired: the flash card has reached the end of its validity and cannot be used. Abusive: the card has been reported as abusive and cannot be used.
pending, live, paused, stolen, lost, pin_blocked, discarded, expired, shipped_lost, onhold, order_canceled, pre_expired, abusive "statuses[]=pending&statuses[]=live"
Cards can be filtered by their bank_account_id.
The id of the bank account to which the card is attached
"bank_account_ids[]=id1&bank_account_ids[]=id2"
Cards can be filtered by their card_level.
Level of the card. A level defines a set of card capabilities and pricing. Standard, plus and metal are physical cards. See our Qonto cards: https://qonto.com/en/payment-methods/card.
standard, plus, metal, virtual, virtual_partner, flash, advertising "card_levels[]=virtual&card_levels[]=flash"
Cards can be filtered by their id.
Unique card identifier
"ids[]=id1&ids[]=id2"
Was this page helpful?